hscolour-1.24: Colourise Haskell code.

Safe Haskell | Safe
Language | Haskell98

Language.Haskell.HsColour.LaTeX

Description

Formats Haskell source code using LaTeX macros.

Synopsis

- hscolour :: ColourPrefs -> String -> String
- top'n'tail :: String -> String -> String

# Documentation

hscolour #

Arguments

:: ColourPrefs | Colour preferences.
-> String | Haskell source code.
-> String | A LaTeX document/fragment containing the coloured Haskell source code.

Formats Haskell source code as a complete LaTeX document.

top'n'tail :: String -> String -> String #